## org.eclipse.emf.common.ui
Class URIEditorInput

    java.lang.Object
      org.eclipse.emf.common.ui.URIEditorInput

All Implemented Interfaces:
  IAdaptable, IEditorInput, IPersistable, IPersistableElement

    public class URIEditorInput

extends java.lang.Object
implements IEditorInput, IPersistableElement

An implementation of an `IEditorInput` to wrap a `URI`.

Nested Class Summary
`protected static class` `URIEditorInput.EclipseUtil`

Field Summary
`protected static java.lang.String` `BUNDLE_TAG`
`protected static java.lang.String` `CLASS_TAG`
`protected static java.lang.String` `NAME_TAG`
`protected static java.lang.String` `URI_TAG`

Constructor Summary
`URIEditorInput(IMemento memento)`
`URIEditorInput(URI uri)`
`URIEditorInput(URI uri, java.lang.String name)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`boolean` `exists()` Returns true only if the URI represents a file and if this file exists.
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`protected java.lang.String` `getBundleSymbolicName()`
`java.lang.String` `getFactoryId()`
`ImageDescriptor` `getImageDescriptor()`
`java.lang.String` `getName()` Returns the toString value of the associated URI.
`IPersistableElement` `getPersistable()`
`java.lang.String` `getToolTipText()`
`URI` `getURI()`
`int` `hashCode()`
`protected void` `loadState(IMemento memento)`
`void` `saveState(IMemento memento)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUNDLE_TAG

    protected static final java.lang.String BUNDLE_TAG

See Also:
  Constant Field Values

### CLASS_TAG

    protected static final java.lang.String CLASS_TAG

See Also:
  Constant Field Values

### URI_TAG

    protected static final java.lang.String URI_TAG

See Also:
  Constant Field Values

### NAME_TAG

    protected static final java.lang.String NAME_TAG

See Also:
  Constant Field Values

Constructor Detail

### URIEditorInput

    public URIEditorInput(URI uri)

### URIEditorInput

    public URIEditorInput(URI uri,
                          java.lang.String name)

### URIEditorInput

    public URIEditorInput(IMemento memento)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getURI

    public URI getURI()

  Returns:
    the uri

### exists

    public boolean exists()

  Returns true only if the URI represents a file and if this file exists.

  Specified by:
    `exists` in interface `IEditorInput`
  See Also:
    `IEditorInput.exists()`

### getName

    public java.lang.String getName()

  Returns the toString value of the associated URI.

  Specified by:
    `getName` in interface `IEditorInput`
  See Also:
    `IEditorInput.getName()`

### getToolTipText

    public java.lang.String getToolTipText()

  Specified by:
    `getToolTipText` in interface `IEditorInput`

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Specified by:
    `getImageDescriptor` in interface `IEditorInput`

### getPersistable

    public IPersistableElement getPersistable()

  Specified by:
    `getPersistable` in interface `IEditorInput`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `IAdaptable`

### getFactoryId

    public java.lang.String getFactoryId()

  Specified by:
    `getFactoryId` in interface `IPersistableElement`

### getBundleSymbolicName

    protected java.lang.String getBundleSymbolicName()

### saveState

    public void saveState(IMemento memento)

  Specified by:
    `saveState` in interface `IPersistable`

### loadState

    protected void loadState(IMemento memento)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.